Bug 1075218 - Review Request: pam_ldap2krb - password migration tool ldap to kerberos [NEEDINFO]
Review Request: pam_ldap2krb - password migration tool ldap to kerberos
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2014-03-11 14:23 EDT by Kazım SARIKAYA
Modified: 2016-07-07 05:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ignatenko: needinfo? (kazimsarikaya)


Attachments (Terms of Use)

  None (edit)
Description Kazım SARIKAYA 2014-03-11 14:23:24 EDT
Spec URL: https://git.sanaldiyar.com/gitweb.cgi/pam_ldap2krb.git/blob/HEAD:/pam_ldap2krb.spec
SRPM URL: http://srcrepo.sanaldiyar.com/repoview/pam_ldap2krb.html
Description: Password migration pam module for ldap to ldap+kerberos authentication system.
Passwords will be created in kerberos if user name and password are validated with
existing ldap server. A configuration file is  /etc/pam_ldap2krb.conf

extended description is here: https://git.sanaldiyar.com/gitweb.cgi/pam_ldap2krb.git/blob_plain/HEAD:/README

Fedora Account System Username: kazimsarikaya

Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6621924

Hi, I am Kazim. It is my first package for contributing fedora. Hence i need a sponsor. 

Thanks for all.
Comment 1 Kazım SARIKAYA 2014-03-11 14:58:50 EDT
A rawhide koji build is also available: http://koji.fedoraproject.org/koji/taskinfo?taskID=6622780
Comment 2 Igor Gnatenko 2014-03-12 10:26:51 EDT
Some quick notes from first glance:

* make install DESTDIR=%{buildroot}
  would be %make_install

* Source0:        %{name}-%{version}.tar.gz
  I'd prefer if you will provide link to upstream releases on ftp or http or git

* A configuration file is  /etc/pam_ldap2krb.conf
  Should not be in description. Should be in README which installing to system.

* Group:          security
  Should not present if you have no plans for supporting you package for EL5 or EL6 (forget)

* %{_sysconfdir}/*
  not good. please provide %{_sysconfdir}/pam_ldap2krb.conf

* %{_libdir}/*
  not good. please provide something like upper.

* Tue Mar 11 2014 Kazım SARIKAYA <kazimsarikaya@sanaldiyar.com>
  there should be also version of package.

* Requires:       pam libconfuse krb5-workstation openldap
  I'm not sure that we really want to have this dependencies. Some from this should automatically be picked up by RPM.
Comment 3 Igor Gnatenko 2014-03-12 11:13:41 EDT
Also no ldconfig macroses.
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries
Comment 4 Kazım SARIKAYA 2014-03-12 17:09:19 EDT
i fixed my spec file:

* using %make_install
* adding scm information before Source0 described at https://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control
* comment group (i have my own repo for my servers and i use group keyword, however for fedora i can comment it )
* rewrite description
* %files section is complete file names not wildcard
* %changelog adding version
* commenting requires 
* adding ldconfig macros.

i intend to add a new koji build task link however. the koji is painfully slow and gives timeout error. hence i think i should not wait it for now.

the rpms can be generated with steps:

1) git clone https://git.sanaldiyar.com/pam_ldap2krb.git
2) ./autogen.sh
3) ./configure
4) make rpmbuild
Comment 5 Igor Gnatenko 2014-03-12 22:51:56 EDT
Please provide direct links to spec and srpm here.
Comment 7 Igor Gnatenko 2014-03-13 00:50:07 EDT
(In reply to Kazım SARIKAYA from comment #4)
> i fixed my spec file:
> 
> * comment group (i have my own repo for my servers and i use group keyword,
> however for fedora i can comment it )
> * commenting requires 
Commenting is not good way. please delete this lines.

About requires I'm not sure from start. Feel free re-check it.
Comment 8 Kazım SARIKAYA 2014-03-13 03:48:38 EDT
i remove everything about group and required. 
from the fedora packaging wiki, they mention that using required is necessary if the version of the required package is important. for my package it is not important.

the locations of srcrpm and spec do not changed. 

here the koji builds:
f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6628211
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6628236
Comment 9 Igor Gnatenko 2014-03-13 04:16:56 EDT
* Tue Mar 11 2014 Kazım SARIKAYA <kazimsarikaya@sanaldiyar.com> - 0.1

There should be %{version}-%{release}, i.e. in you case now it should be 0.1-1

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

Replace with %post -p /sbin/ldconfig
the same with postun.

That's all, how I can help you. Find sponsor :)
Comment 12 Michael Schwendt 2014-03-29 17:59:16 EDT
> License:	GPLv3

https://www.gnu.org/licenses/gpl-faq.html#NoticeInSourceFile


> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig

These scriptlets are not needed, because the package does not store any shared libraries in runtime linker's search path. The PAM Modules are located within a private path.


%files
%doc README
%{_sysconfdir}/pam_ldap2krb.conf

These two apply here:

  https://fedoraproject.org/wiki/Packaging:Guidelines#Configuration_files
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
Comment 13 Kazım SARIKAYA 2014-04-03 07:38:06 EDT
* I added license info to source file
* delete post and postun scripts
* add copying to %doc
* add %config at begining of config file line

spec: http://projects.sanaldiyar.com/data/pam_ldap2krb/pam_ldap2krb.spec
srpm: http://projects.sanaldiyar.com/data/pam_ldap2krb/pam_ldap2krb-0.1-1.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6702421
Comment 14 Igor Gnatenko 2016-07-07 05:55:29 EDT
guidelines were updated, so notes:
* Use %license LICENSE
* use %make_build instead of make %{?_smp_mflags}
* Add BuildRequires: gcc

What's your FAS username?

Note You need to log in before you can comment on or make changes to this bug.